<?php
/*
Fruity - A Nagios Configuration Tool
Copyright (C) 2005 Groundwork Open Source Solutions

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

/*
	Filename: config.inc
	Description:
	Configuration Parameters (DEFINES, and system wide config)
*/

// Modify the settings below to match your setup

// System Configuration
$sys_config['name'] = 'Groundwork Fruity';
$sys_config['version'] = '1.0 Release Candidate 2';
$sys_config['logos_path'] = '/usr/local/groundwork/fruity/logos';	// Must be symlinked or a copy of the logos directory from nagios

$sys_config['network_desc'] = "Our Network";

// Set to true if you want to run a nagios pre-flight check to validate config before committing
$sys_config['nagios_preflight'] = false;
$sys_config['nagios_path'] = '/usr/local/nagios/bin/nagios';	// The path to the Nagios binary
$sys_config['nagios_start'] = '/etc/init.d/nagios start';	// The script to run to start Nagios
$sys_config['nagios_stop'] = '/etc/init.d/nagios stop';		// The script to run to stop Nagios
$sys_config['temp_dir'] = '/tmp';				// Where to temporarily export a set of configs for preflight to validate

// MySQL Database Connection Configuration
$sitedb_config['host'] = 'localhost';				// Address to the database server
$sitedb_config['username'] = 'root';				// Username to access the database
$sitedb_config['password'] = '';				// Password to access the database
$sitedb_config['database'] = 'fruity';				// The database name
$sitedb_config['dbserv']	= 'mysql';			// The database driver (for now, use mysql)

// AdoDB Session Handler Configuration
// Uncomment if you want adodb to handle sessions
// Usually used if fruity is on a server farm with load balancing
// $ADODB_SESSION_DRIVER='mysql';			// For now, use the mysql adodb driver
// $ADODB_SESSION_CONNECT='localhost';			// Address to the database server for adodb sessions
// $ADODB_SESSION_USER ='root';				// Username to access the database
// $ADODB_SESSION_PWD ='';				// Password to access the database
// $ADODB_SESSION_DB ='fruity';				// What database holds the sessions table


// Web Application Path Configuration
$path_config['doc_root'] = '/fruity/';	// The URL path to fruity (include trailing slash)
$path_config['image_root'] = $path_config['doc_root'] . 'images/';	// Where images are stored (leave for default)

define("AUTH_MODULES_URL_PATH", $path_config['doc_root'] . "modules/auth/");	// No need to modify this if installed in /fruity/ in url.
define("SESSION_SECRET", $sys_config['name']."-".$sys_config['version'].":".$sys_config['network_desc']);				// A session key to identify this session to PHP.

// END USER CONFIGURATION (DO NOT TOUCH BELOW)

// New dynamic base directory solution
if (DIRECTORY_SEPARATOR=='/')
	define("FRUITY_FS_ROOT", str_replace('includes', '', dirname(__FILE__).'/'));
else
	define("FRUITY_FS_ROOT", strreplace('includes', '', str_replace('\\\\', '/', dirname(__FILE__)).'/'));

// Do *not* modify any of the below

include_once(FRUITY_FS_ROOT . 'includes/adodb/adodb.inc.php');
include_once(FRUITY_FS_ROOT . 'output/output.php');
include_once(FRUITY_FS_ROOT . 'includes/output.inc');
include_once(FRUITY_FS_ROOT . 'modules/modules.inc');
include_once(FRUITY_FS_ROOT . 'includes/objects.inc');
include_once(FRUITY_FS_ROOT . 'includes/host.inc');
include_once(FRUITY_FS_ROOT . 'includes/fruity.inc');
include_once(FRUITY_FS_ROOT . 'includes/sessions.inc');

?>
